# Generated by Django 2.0.5 on 2022-05-19 07:11

from django.db import migrations, models
import django.db.models.deletion
import project_management.mixins


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0104_customer_customer_order_visibility_allowed'),
        ('project_management', '0028_auto_20220518_0948'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProjectRateMappingSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('role_name', models.CharField(max_length=200)),
                ('hourly_cost', models.DecimalField(blank=True, decimal_places=2, max_digits=10, null=True)),
                ('is_default', models.BooleanField()),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pmo_rate_mapping', to='accounts.Provider')),
            ],
            bases=(project_management.mixins.ProjectSettingAuditMixin, models.Model),
        ),
        migrations.AlterField(
            model_name='projectroletype',
            name='provider',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.Provider'),
        ),
        migrations.AddField(
            model_name='projectratemappingsetting',
            name='role_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='project_rate_mapping_type', to='project_management.ProjectRoleType'),
        ),
        migrations.AlterUniqueTogether(
            name='projectratemappingsetting',
            unique_together={('provider', 'role_name')},
        ),
    ]
